Recommended web browsers

Flokkr requires a modern web browser to work correctly. For example, Internet Explorer is out-dated and not supported.

An up-to-date web browser is not only more secure, but also faster and enables you to use all features of modern web application like Flokkr.

On this page we have listed a few browsers that have been tested with Flokkr.

Desktop browsers

Browsers for Android

Browsers for iOS